cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daan Hoogland <daan.hoogl...@gmail.com>
Subject Re: 4.5.0rc0 - available for testing.
Date Mon, 08 Dec 2014 15:46:39 GMT
as a pragmatic programmer, yes. In light of the work we are starting
on wednesday, no. I leave picking the answer as an excercise to the
reader;)

On Mon, Dec 8, 2014 at 4:43 PM, Will Stevens <wstevens@cloudops.com> wrote:
> I am not hosting a public repo with the fix.  I think a merge is the
> simplest way.  A pull request is great for non-committers to contribute,
> but I think it is a bit disjointed for committers who already have access
> to create fix branches.  Do you agree?
>
> ws
>
>
> *Will STEVENS*
> Lead Developer
>
> *CloudOps* *| *Cloud Solutions Experts
> 420 rue Guy *|* Montreal *|* Quebec *|* H3J 1S6
> w cloudops.com *|* tw @CloudOps_
>
> On Mon, Dec 8, 2014 at 10:37 AM, Daan Hoogland <daan.hoogland@gmail.com>
> wrote:
>
>> lgtm,
>>
>> do i look for a pull request, or just merge?
>>
>> On Mon, Dec 8, 2014 at 3:46 PM, Will Stevens <wstevens@cloudops.com>
>> wrote:
>> > We need to get my fix '[MERGE REQUEST] hotfix/4.5-7959'merged in to get
>> the
>> > system vms building again.  The building is currently broken because of a
>> > compatibility issues.
>> >
>> > This merge should be made asap...
>> >
>> > Cheers,
>> >
>> > *Will STEVENS*
>> > Lead Developer
>> >
>> > *CloudOps* *| *Cloud Solutions Experts
>> > 420 rue Guy *|* Montreal *|* Quebec *|* H3J 1S6
>> > w cloudops.com *|* tw @CloudOps_
>> >
>> > On Mon, Dec 8, 2014 at 9:43 AM, Pierre-Luc Dion <pdion891@apache.org>
>> wrote:
>> >
>> >> few question about 4.5;
>> >>
>> >> - which systemvm should we use? jenkins job build-systemvm-4.5 is a
>> month
>> >> old.
>> >> - upgrade path seams damaged, previous bug CLOUDSTACK-8041 is
>> >> false, although I've never succeed to upgrade a system so far.
>> >>
>> >>
>> >>
>> >>
>> >> On Fri, Dec 5, 2014 at 11:07 PM, Pierre-Luc Dion <pdion@cloudops.com>
>> >> wrote:
>> >>
>> >> > The upgrade path require a systemvm-template otherwise the database
>> >> > upgrade fail, I've create this one: CLOUDSTACK-8041
>> >> >
>> >> > Could it be possible to just look for the latest template to exist
>> during
>> >> > a db upgrade? with the current check, to upgrade from 4.2.1 require
to
>> >> have
>> >> > the systemvm-template of 4.3,4.4 and 4.5 of all hypervisors in order
>> to
>> >> > successfully upgrade the database. is this something easy to fix?
>> >> >
>> >> >
>> >> >
>> >> >
>> >> > On Fri, Dec 5, 2014 at 8:53 PM, David Nalley <david@gnsa.us>
wrote:
>> >> >
>> >> >> Hi All,
>> >> >>
>> >> >> I've created a 4.5.0 release candidate, with the following artifacts
>> >> >> up for review:
>> >> >>
>> >> >> Git Branch and Commit SH:
>> >> >>
>> >> >>
>> >>
>> https://git-wip-us.apache.org/repos/asf?p=cloudstack.git;a=shortlog;h=refs/heads/4.5-RC20141206T0129
>> >> >> Commit: fcfc3060ff5a7aa2c57548ded90298c0920921fd
>> >> >>
>> >> >>
>> >> >> Source release (checksums and signatures are available at the same
>> >> >> location):
>> >> >> https://dist.apache.org/repos/dist/dev/cloudstack/4.5.0-rc0/
>> >> >>
>> >> >> PGP release keys (signed using A15F30B9):
>> >> >> https://dist.apache.org/repos/dist/release/cloudstack/KEYS
>> >> >>
>> >> >> Because this is an early RC, I am not going to yet call a vote
on it,
>> >> >> but rather going to let it set and let folks see if it's tenable.
>> >> >>
>> >> >> PLEASE test, and leave feedback in this thread.
>> >> >>
>> >> >> --David
>> >> >>
>> >> >
>> >> >
>> >> >
>> >> >
>> >>
>>
>>
>>
>> --
>> Daan
>>



-- 
Daan

Mime
View raw message